import request from '@/utils/request'

// 查询储能计量-小时列表
export function listElecStoreH(query) {
  return request({
    url: '/ems/elec/store/hour/list',
    method: 'get',
    params: query
  })
}
// 查询储能总览
export function dayStatistics(query) {
  return request({
    url: '/ems/elec/store/day/statistics',
    method: 'get',
    params: query
  })
}

// 查询储能计量-小时详细
export function getElecStoreH(id) {
  return request({
    url: '/ems/elec/store/hour/' + id,
    method: 'get'
  })
}

// 新增储能计量-小时
export function addElecStoreH(data) {
  return request({
    url: '/ems/elec/store/hour',
    method: 'post',
    data: data
  })
}

// 修改储能计量-小时
export function updateElecStoreH(data) {
  return request({
    url: '/ems/elec/store/hour',
    method: 'put',
    data: data
  })
}

// 删除储能计量-小时
export function delElecStoreH(id) {
  return request({
    url: '/ems/elec/store/hour/' + id,
    method: 'delete'
  })
}
